{ options, config, lib, pkgs, ... }:

with lib;
with lib.plusultra;
let cfg = config.plusultra.tools.jetbrains;
in
{
  options.plusultra.tools.jetbrains = with types; {
    enable = mkBoolOpt false "Whether or not to enable jetbrains.";
  };

  config = mkIf cfg.enable {
    home.sessionPath = [
      "$HOME/.local/share/JetBrains/Toolbox/scripts"
    ];
    home.packages = with pkgs; [
      jetbrains-toolbox
      (pkgs.nerdfonts.override { fonts = [ "FiraCode" "DroidSansMono" "JetBrainsMono" ]; })
    ];
  };
}
