{ lib, config, pkgs, ... }:

let
  inherit (lib) types mkEnableOption mkIf;
  cfg = config.plusultra.tools.ssh;
in
{
  options.plusultra.tools.ssh = {
    enable = mkEnableOption "SSH";
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      mosh
    ];
    programs.ssh = {
      enable = true;
      extraConfig = ''
        Host *
          HostKeyAlgorithms +ssh-rsa
      '';
    };
  };
}
